## acpid-1.0.1.tar.gz

=== Makefile ===
# Makefile for ACPI daemon

# update these numbers for new releases
VERSION = 1.0.1
RELEASE = 1

INSTPREFIX =
SBINDIR = $(INSTPREFIX)/usr/sbin
MAN8DIR = $(INSTPREFIX)/usr/share/man/man8

PROG = acpid
SRCS = acpid.c event.c ud_socket.c
HDRS = acpid.h
MAN8 = acpid.8
OBJS = $(SRCS:.c=.o)
MAN8GZ = $(MAN8:.8=.8.gz)
CLEANFILES = $(PROG) $(OBJS) $(MAN) *.spec

CFLAGS = -Wall -g $(DEFS)
DEFS = -DVERSION="\"$(VERSION)\""

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) -o $@ $^

$(OBJS): $(HDRS)

man: $(MAN8)
	for a in $^; do gzip -f -9 -c $$a > $$a.gz; done

install: $(PROG) man
	mkdir -p $(SBINDIR)
	install -m 750 $(PROG) $(SBINDIR)
	mkdir -p $(MAN8DIR)
	install -m 644 $(MAN8GZ) $(MAN8DIR)

RPMTMP=/tmp
rpm:
	make clean
	rm -rf $(RPMTMP)/acpid-$(VERSION)
	mkdir -p $(RPMTMP)/acpid-$(VERSION)
	sed -e 's/@@RPMVER@@/$(VERSION)/' -e 's/@@RPMREL@@/$(RELEASE)/' \
		redhat/acpid.spec.in > acpid-$(VERSION).spec
	cat Changelog >> acpid-$(VERSION).spec
	cp -a * $(RPMTMP)/acpid-$(VERSION)
	find $(RPMTMP)/acpid-$(VERSION) -type d -name CVS | xargs rm -rf
	tar -C $(RPMTMP) -zcvf $(RPMTMP)/acpid-$(VERSION).tar.gz \
		acpid-$(VERSION)
	rpm -ta $(RPMTMP)/acpid-$(VERSION).tar.gz
	rm -rf $(RPMTMP)/acpid-$(VERSION)
	rm -rf $(RPMTMP)/acpid-$(VERSION).tar.gz

clean: 
	$(RM) $(CLEANFILES) $(MAN8GZ)

=== debian/changelog ===
acpid (0.99.1-3) unstable; urgency=low

  * restored default and default.sh
  * adapted default to handle the %e option

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Thu, 17 Aug 2001 18:49:11 +0200

acpid (0.99.1-2) unstable; urgency=low

  * Changed config directory to /etc/acpi
  * Fixed scripts again.

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Thu, 16 Aug 2001 18:49:11 +0200

acpid (0.99.1-1) unstable; urgency=low

  * New upstream release
  * Added manpage and config files

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Mon, 10 Aug 2001 12:12:41 +0200

acpid (0.2001051000-1) unstable; urgency=low

  * New upstream release (Closes: #97277, #104266)
  * New maintainer
  * 'acpictl' is no longer in the acpid package. (Closes: #79498)
  * 'acpid' doesn't need build-depends anymore (Closes: #105751)

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 25 Jun 2001 16:01:12 +0200

acpid (0.2000071100-1) unstable; urgency=low

  * New upstream release

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 12 Jul 2000 20:57:07 -0400

acpid (0.2000052200-1) unstable; urgency=low

  * New upstream release

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 23 May 2000 13:41:51 +0200

acpid (0.2000042500-1) unstable; urgency=low

  * New upstream release
  * Fix a typo in the init-script
  * upstream changed the buildsystem again, updated debian/rules accordingly
  * Stop via executable, not pid-file (which doesn't exist)

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  1 May 2000 23:00:46 +0200

acpid (0.20000317-2) unstable; urgency=low

  * Create /usr/doc compatibility symlinks

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  7 Apr 2000 14:26:31 +0200

acpid (0.20000317-1) experimental; urgency=low

  * New snapshot

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  3 Apr 2000 00:50:17 +0200

acpid (0.20000316-1) experimental; urgency=low

  * Initial release

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 16 Mar 2000 12:24:51 +0100

=== debian/control ===
Source: acpid
Section: admin
Priority: extra
Maintainer: Cajus Pollmeier <C.Pollmeier@gmx.net>
Standards-Version: 3.2.1

Package: acpid
Architecture: i386
Depends: ${shlibs:Depends}
Description: ACPID 
 Modern computers support the Advanced Configuration and Power Interface
 (ACPI) to allow intelligent power management on your system.
 .
 This package contains acpid, which is the user-space daemon needed in
 order to make the Linux ACPI support completely functional.
